ChartDirector Ver 5.0 (PHP Edition)

WebChartViewer.isFullUpdateRequest

Usage

isFullUpdateRequest()

Description

Checks if the current HTTP request is a full update request containing information from a JsChartViewer.
A full update request does not necessarily come from a JsChartViewer. For example, a submit button in an HTML FORM can trigger an HTTP request. These kind of requests may contain information from JsChartViewer objects, which are stored as hidden fields in the FORM.
Any HTTP request that is not a partial update request (see WebChartViewer.isPartialUpdateRequest) but contains information from a JsChartViewer will meet the criteria of this method.

Arguments

None

Return Value

True if the current HTTP request is a full update request containing information from a JsChartViewer, otherwise false.

© 2009 Advanced Software Engineering Limited. All rights reserved.